dnl $Id: ensc_python.m4 439 2004-12-23 00:44:18Z ensc $

dnl Copyright (C) 2001,2004 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
dnl  
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; version 2 of the License.
dnl  
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl  
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


AC_DEFUN([ENSC_PROG_PYTHON],
[
	is_good=
	for i in "${PYTHON}" python2 python; do
		AC_PATH_PROGS(PYTHON, [$i])
		if test X"${PYTHON}" != X; then
			if "${PYTHON}" -c 'import sys; sys.exit(not(sys.hexversion $1))' 2>/dev/null; then
				is_good=1
				break
			else
				unset ac_cv_path_PYTHON
				unset PYTHON
			fi
		else
			unset ac_cv_path_PYTHON
		fi
	done

	if test X"$is_good" = X; then
		AC_MSG_ERROR([*** python version $1 is required to use $PACKAGE])
	fi

	AC_SUBST(PYTHON)
	AC_PROVIDE([$0])
])

AC_DEFUN([ENSC_PYTHON_VERSION],
[	AC_REQUIRE([ENSC_PROG_PYTHON])

	AC_MSG_CHECKING([for python version])
	changequote(,)
	PYTHON_VERSION=`"${PYTHON}" -c 'import sys; print "%i.%i" % (sys.hexversion/0x1000000, (sys.hexversion/0x10000)%0x100)'`
	changequote([,])
	AC_MSG_RESULT(${PYTHON_VERSION})
	AC_SUBST(PYTHON_VERSION)
	AC_PROVIDE([$0])
])
	

AC_DEFUN([ENSC_PATH_PYTHONMODULE],
[	AC_REQUIRE([ENSC_PROG_PYTHON])
	_have_name=`echo "$2" | tr '.' '_'`
	_have_name="have_${have_name}"

	eval "set ${_have_name}="
	$1=

	AC_MSG_CHECKING([for $2])
	changequote(,)
	$1=`"${PYTHON}" -c 'import imp; print imp.find_module("$2")[1];' 2>/dev/null`
	changequote([,])

	if test x"${$1}" = x; then
		AC_MSG_RESULT(not found)
	else
		AC_MSG_RESULT(${$1})
	fi
	AC_SUBST([$1])
	AC_PROVIDE([$0])
])

AC_DEFUN([ENSC_PYCHECKER],
[
	AC_PATH_PROGS(PYCHECKER, pychecker)
	PYCHECKERFLAGS='-S this'

	AC_SUBST(PYCHECKERFLAGS)
])
